How do to enable RMagick

Added by song yu over 11 years ago

I need some help,How do to enable RMagick

Replies (12)

RE: How do to enable RMagick - Added by Karl Heinz Marbaise over 11 years ago

Usualy

gem install rmagick
should be all...after that you can check it in the Adminstration area (http://xxxx/admin/info) Information...

RE: How do to enable RMagick - Added by Mischa The Evil over 11 years ago

Karl Heinz Marbaise wrote:

Usualy [...] should be all...

Indeed... Though, before that you have to be sure that you've fullfilled the RMagick prerequisites;

Quote from http://rmagick.rubyforge.org/:

You must have ImageMagick 6.0.0 or later, or GraphicsMagick 1.0 or later. (I recommend ImageMagick 6.3.0 or later, or GraphicsMagick 1.1.)

HTH,

Mischa The Evil

RE: How do to enable RMagick - Added by Slava Kurkov almost 11 years ago

When I did install the RMagick normally it actually did not appeared as enabled feature in Redmine admin/info.
So after I decided to test RMagick under Redmine directory:

ruby script/console
>> require 'RMagick'

Right there (after require) some people might have been experienced one single problem, that prevented RMagick to load:

LoadError: libMagickCore.so.2: cannot open shared object file

I have solved the issue this way:

cp /usr/local/lib/libMagickCore.so.2 /lib64

Finally after that just restart the server and update the admin/info page

Hope it would be helpful for somebody

RE: How do to enable RMagick - Added by Slava Kurkov almost 11 years ago

RMagick installation is not so magic after all.
Besides following simple command:

gem install rmagick

I had to download the latest libpng because it is not coming included to RMagick and ImageMagick:
./configure
make
make install

Then download ImageMagick:
./configure --with-png=yes
make
make install

After that missing fonts library with Ghostscript, otherwise I was getting the error in server logs:
gs: command not found

RE: How do to enable RMagick - Added by Andreas T over 10 years ago

When I tried to install RMagick with:

gem install rmagick

I got the following error:

ERROR:  Error installing rmagick:
        ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb
checking for Ruby version >= 1.8.5... yes
checking for cc... yes
checking for Magick-config... no
Can't install RMagick 2.12.2. Can't find Magick-config in /usr/lib/kde4/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin

I managed to install by first issuing:

apt-get install libmagick9-dev

Found the clue here:
http://www.semanticpool.de/debian-rmagick-install-cant-find-magick-config/

RE: How do to enable RMagick - Added by rattachet settamat over 7 years ago

How to enable RMagick

Screenshot from 2012-10-15 11_28_42.png - RMagick available (optional) (15.5 KB)

RE: How do to enable RMagick - Added by Lu Pa over 7 years ago

Hi.. here the same thing, with this configuration:

Environment:
  Redmine version                          2.0.4.stable.10678
  Ruby version                             1.8.7 (x86_64-linux)
  Rails version                            3.2.6
  Environment                              production
  Database adapter                         MySQL

and the same thing. Redmine doesn't detect it.

RE: How do to enable RMagick - Added by Elena Ramirez Retamal over 7 years ago

We haved the same problem with redmine 2.2.1
and ImageMagic installed in /redmine/ImageMagic

We solved it by unistalling rmagick
and then installing it with the command

gem install rmagick --no-rdoc –no-ri --platform=ruby -- --with-opt-lib=/redmine/ImageMagick/lib/ --with-opt-include=/redmine/ImageMagick/include/

Finally you must restart redmine and it works!!

RE: How do to enable RMagick - Added by Aleksandar Pavic 6 months ago

Rmagick is optional, thus you must:

bundle install --with rmagick

In Gemfile:

  # Optional gem for exporting the gantt to a PNG file, not supported with jruby
  group :rmagick do
    gem "rmagick", "~> 2.16.0" 
  end

Considering that you have required libraries installed which might differ from system to system...

RE: How do to enable RMagick - Added by Go MAEDA 5 months ago

Redmine 4.1.0 or later doesn't require RMagick. See #30492 for details.

(1-12/12)